################################################################################
#
# ca-certificates H1502 version
#
################################################################################

H1502CERTIFICATES_VERSION = $(shell git ls-remote https://git.SDNsupport.nl:4000/H1502/H1502_certificates.git master | awk '{print$$1}')
H1502CERTIFICATES_SITE = https://git.SDNsupport.nl:4000/H1502/H1502_certificates.git
H1502CERTIFICATES_SITE_METHOD = git

H1502CERTIFICATES_DEPENDENCIES = host-openssl
H1502CERTIFICATES_LICENSE = Copyright SDN

define H1502CERTIFICATES_INSTALL_TARGET_CMDS
	$(INSTALL) -d -m 0755 $(TARGET_DIR)/usr/share/ca-certificates
	$(INSTALL) -d -m 0755 $(TARGET_DIR)/etc/ssl/certs

	# Copy all cert's
	cp $(@D)/*.crt $(TARGET_DIR)/usr/share/ca-certificates

	# Remove any existing certificates under /etc/ssl/certs
	rm -f  $(TARGET_DIR)/etc/ssl/certs/*

	# Create symlinks to certificates under /etc/ssl/certs
	# and generate the bundle
	cd $(TARGET_DIR) ;\
	for i in `find usr/share/ca-certificates -name "*.crt" | LC_COLLATE=C sort` ; do \
		ln -sf ../../../$$i etc/ssl/certs/`basename $${i} .crt`.pem ;\
		cat $$i ;\
	done >$(@D)/ca-certificates.crt

	# Create symlinks to the certificates by their hash values
	$(HOST_DIR)/bin/c_rehash $(TARGET_DIR)/etc/ssl/certs

	# Install the certificates bundle
	$(INSTALL) -D -m 644 $(@D)/ca-certificates.crt \
		$(TARGET_DIR)/etc/ssl/certs/ca-certificates.crt
endef

$(eval $(generic-package))
